Closed Bug 969107 Opened 6 years ago Closed 4 years ago

Intermittent test_dom_BluetoothManager_adapteradded.js | ScriptTimeoutException: ScriptTimeoutException: timed out

Categories

(Firefox OS Graveyard :: Bluetooth, defect)

ARM
Gonk (Firefox OS)
defect
Not set

Tracking

(Not tracked)

RESOLVED WORKSFORME

People

(Reporter: RyanVM, Assigned: jaliu)

References

Details

(Keywords: intermittent-failure)

This appears to have started after bug 964817 landed.

https://tbpl.mozilla.org/php/getParsedLog.php?id=34237891&tree=B2g-Inbound

b2g_emulator_vm b2g-inbound opt test marionette-webapi on 2014-02-06 13:15:11 PST for push abc20e3d30d4
slave: tst-linux64-spot-163

13:32:34     INFO -  INFO TEST-START: /builds/slave/test/build/tests/marionette/tests/dom/bluetooth/tests/marionette/test_dom_BluetoothManager_adapteradded.js Thu Feb 06 2014 21:31:32 GMT+0000 (UTC)
13:32:34     INFO -  INFO navigator.mozBluetooth is available Thu Feb 06 2014 21:31:33 GMT+0000 (UTC)
13:32:34     INFO -  INFO Original 'bluetooth.enabled' is false Thu Feb 06 2014 21:31:34 GMT+0000 (UTC)
13:32:34     INFO -  INFO   Enable 'bluetooth.enabled' ... Thu Feb 06 2014 21:31:34 GMT+0000 (UTC)
13:32:34     INFO -  END LOG:
13:32:34     INFO -  ======================================================================
13:32:34     INFO -  ERROR: None
13:32:34     INFO -  ----------------------------------------------------------------------
13:32:34     INFO -  Traceback (most recent call last):
13:32:34     INFO -    File "/builds/slave/test/build/tests/marionette/marionette/marionette_test.py", line 143, in run
13:32:34     INFO -      testMethod()
13:32:34     INFO -    File "/builds/slave/test/build/tests/marionette/marionette/marionette_test.py", line 462, in runTest
13:32:34     INFO -      filename=os.path.basename(self.jsFile))
13:32:34     INFO -    File "/builds/slave/test/build/tests/marionette/marionette/marionette.py", line 1029, in execute_js_script
13:32:34     INFO -      line=None)
13:32:34     INFO -    File "/builds/slave/test/build/tests/marionette/marionette/marionette.py", line 613, in _send_message
13:32:34     INFO -      self._handle_error(response)
13:32:34     INFO -    File "/builds/slave/test/build/tests/marionette/marionette/marionette.py", line 662, in _handle_error
13:32:34    ERROR -      raise ScriptTimeoutException(message=message, status=status, stacktrace=stacktrace)
13:32:34    ERROR -  ScriptTimeoutException: ScriptTimeoutException: timed out
13:32:34     INFO -  TEST-UNEXPECTED-FAIL | test_dom_BluetoothManager_adapteradded.js |
13:32:34     INFO -  ----------------------------------------------------------------------
13:32:34     INFO -  Ran 1 test in 61.425s
13:32:34  WARNING -  FAILED (errors=1)
See Also: → 969109
I'll have a look.
Assignee: nobody → tzimmermann
I cannot reproduce this bug locally, but I suspect that the timeout results from the extra overhead that is imposed by the patch in bug 964817. The overhead is fixed by bug 968275. And after it landed in b2g-inbound, no timeouts seem to have happened. I'll monitor TBPL for a while to verify my theory.
(In reply to TBPL Robot from comment #7)

This is from a run after bug 969109 was merged to that branch. Looks like it didn't fix it :(
Ryan,
Thank you.
I added a comment to related bug 969109
Regards
Hi Jamin,

Thanks for your work. Can you take this ticket?
Hi Thomas,
Sure, the patch landed in bug 964817 doesn't cause this bug.
Thank you for your time.
I'll discuss with Vicamo and we'll upload a new patch tomorrow.
Assignee: tzimmermann → jaliu
Not sure what the state here is, but I've found a regression in bug 964817 that might cause this problem. The regression should be fixed with bug 972253.
Status: NEW → RESOLVED
Closed: 6 years ago
Resolution: --- → DUPLICATE
Duplicate of bug: 969109
I checked the log from #Comment 18.
"INFO Original 'bluetooth.enabled' is true Thu Jun 05 2014 15:32:09 GMT-0400 (EDT)"

It seems like the failure of [test_dom_BluetoothManager_adapteradded.js] was caused by the test timeout of [test_dom_BluetoothManager_enabled.js]. The previous test didn't restore the Bluetooth settings and affected the following test.

The timeout issue of [test_dom_BluetoothManager_enabled.js] should be fixed by Bug 1009157 .
I will keep follow the comment of TBPL Robot after Bug 1009157 land.
This is still occurring; reopening.
Status: RESOLVED → REOPENED
Depends on: 969109
Resolution: DUPLICATE → ---
Summary: Intermittent "ScriptTimeoutException: ScriptTimeoutException: timed out" when running test_dom_BluetoothManager_adapteradded.js → Intermittent test_dom_BluetoothManager_adapteradded.js | ScriptTimeoutException: ScriptTimeoutException: timed out
Inactive; closing (see bug 1180138).
Status: REOPENED → RESOLVED
Closed: 6 years ago4 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.